.\" $NCDId: @(#)aupanel.man,v 1.7 1994/08/10 18:39:02 greg Exp $
.TH AUPANEL 1 "" ""
.SH NAME
aupanel \- allows user adjustment of Network Audio System device attributes
.IX aupanel#(1) "" "\fLaupanel\fP(1)"
.SH SYNOPSIS
\fBaupanel\fP [\fB\-audio\fP \fIservername\fP] [\fB\-device\fP \fIid\fP]
[\fB\-interval\fP \fIseconds\fP]
.SH DESCRIPTION
\fIaupanel\fP provides an X-based window-oriented interface allowing the user
to adjust the attributes of the devices provided by the Network Audio System service.
.SH OPTIONS
The following options may be used with \fIaupanel\fP:
.TP 8
.BI "\-audio " servername
This option specifies the Network Audio System server to contact.
.TP 8
.BI "\-device " id
This option specifies the initially activated audio device on the server.
If the \fIid\fP is a decimal number \fBn\fP, the \fBn\fP\fIth\fP device returned
by the server is used. If it is a hexadecimal number (starting with \fI0x\fP)
it is used as the resource identifier of the desired device. Otherwise,
\fIid\fP should be the exact device name (e.g. Stereo Channel Output).
You can use \fIauinfo\fP to query an audioserver for this information.
.TP 8
.BI "\-interval " seconds
\fIaupanel\fP queries the device attributes in regular intervals with a default
length of \fB10\fP seconds. With this option a different interval length can be
specified. Using an interval length of \fB0\fP disables the automatic querying.
.PP
Additionally, options from the Athena Widget Set can be used.
.SH AUPANEL AND THE ATHENA WIDGET SET
\fIaupanel\fP uses the X Toolkit Intrinsics and the Athena Widget Set.
For more information, see the Athena Widget Set documentation.
.SH ADJUSTING DEVICE ATTRIBUTES
To adjust the attributes of a device, select the desired device from
the \fBDevices\fP menu.  The device gain may be adjusted using the
\fBGain\fP slider.  If applicable, the device input mode can be
toggled between \fILine\-In\fP and \fIMicrophone\fP by clicking on the
appropriate box.  If applicable, the device output mode can be
selected by clicking on the \fISpeaker\fP, \fIHeadphone\fP, and
\fILine\-Out\fP boxes.  Some output devices may support combinations of
these selections.
.PP
To query the current device attributes, click on the \fBQuery\fP button.
.PP
To mute (resp. unmute) the current device, click on the \fBMute\fP button.
.SH ENVIRONMENT
In addition to the standard toolkit environment variables, the
following environment variables are used by \fIaupanel\fP:
.IP \fBAUDIOSERVER\fP 8
This variable specifies the default audio server to contact if \fI\-audio\fP
is not specified on the command line.  If this variable is not set and
the \fI\-audio\fP is not specified on the command line, \fIaupanel\fP
will attempt to connect to the audio server running on the
X Window System display.
.SH "SEE ALSO"
nas(1), auctl(1), auinfo(1), X(1)
.SH COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.
.SH AUTHOR
Greg Renda, Network Computing Devices, Inc.
