.\" $NCDId: @(#)auphone.man,v 1.3 1994/06/01 17:40:18 greg Exp $
.TH AUPHONE 1 "" ""
.SH NAME
auphone \- a simple telephone client
.IX auphone#(1) "" "\fLauphone\fP(1)"
.SH SYNOPSIS
\fBauphone\fP [\fB\-a\fP \fIservername\fP]
[\fB\-v\fP \fIvolume\fP]
[\fB\-l\fP \fIlatency\fP]
[\fB\-r\fP \fIfilename\fP]
.SH DESCRIPTION
\fIauphone\fP allows two-way real time voice communication between two
audio servers.
.SH OPTIONS
The following options can be used with \fIauphone\fP:
.IP "\fB\-a\fP \fIservername\fP" 8
This option specifies the audio server to which \fIauphone\fP should connect.
.IP "\fB\-v\fP \fIvolume\fP" 8
This is the volume, in percent, for the incoming ring sound.  The default is
15 percent.
.IP "\fB\-l\fP \fIlatency\fP" 8
This is the latency, in seconds, of the auphone connection.  A lower
value will result in better real-time communications at the expense of
possibly overloading the server (causing dropouts) and a greater
network duty cycle.  A higher value will lessen the load on the server
and decrease the network duty cycle but will increase the
communications delay.  The default value is .25 seconds.
.IP "\fB\-r\fP \fIfilename\fP" 8
You can personalize your incoming ringing sound using the \fI-r\fP
option.  Simply specify the filename of an audio file to use for the
incoming ring sound.  Note that this sound will be looped.
.SH USAGE
To place a call, enter the address of the audio server that you wish
to connect with in the \fIWho\fP text field.  Then hit RETURN or click
on the \fBCall\fP button.  If the callee is accepting calls, you
should hear a ringing sound.  If the callee answers, the username and
server address of the callee will be displayed.  To disconnect, click on the \fBHangup\fP button.

To receive incoming calls, you must already be running \fIauphone\fP.
To answer an incoming call, click on the \fBAnswer\fP button.  You may
also determine who's calling before you answer by clicking on the
\fBCaller ID\fP button.

Once you're connected, the \fBVolume\fP slider controls the volume of
the speaker output and the \fBInput Gain\fP slider and \fBInput
Mode\fP toggle control the gain and mode of the microphone or line
input.
.SH AUPHONE AND THE ATHENA WIDGET SET
\fIauphone\fP uses the X Toolkit Intrinsics and the Athena Widget Set.
For more information, see the Athena Widget Set documentation.
.SH ENVIRONMENT
In addition to the standard toolkit environment variables, the
following environment variables are used by \fIauphone\fP:
.IP \fBAUDIOSERVER\fP 8
This variable specifies the default audio server to contact if \fI\-a\fP
is not specified on the command line.  If this variable is not set and
the \fI\-a\fP is not specified on the command line, \fIauphone\fP
will attempt to connect to the audio server running on the
X Window System display.
.SH "SEE ALSO"
nas(1), X(1)
.SH COPYRIGHT
Copyright 1993 Network Computing Devices, Inc.
.SH AUTHOR
Greg Renda, Network Computing Devices, Inc.
