.\" $NCDId: @(#)AuElStat.man,v 1.1 1994/09/27 00:26:11 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuElStat.man 5 1999-05-08 18:47:16Z jon $
.TH AuElementState 3 "1.2" "audiolib - element state structure"
.SH \fBName\fP
\fBAuElementState\fP \- element state structure
.SH \fBStructures\fP
#include <audio/audiolib.h>
.sp 1
typedef struct _AuElementState
.br
{
.br
    \fBAuFlowID\fP \fIflow\fP;
.br
    unsigned char \fIelement_num\fP;
.br
    unsigned char \fIstate\fP;
.br
    unsigned short \fIpad\fP;
.br
}\fBAuElementState\fP;
.SH \fBMembers\fP
.IP \fIflow\fP 1i
Specifies the flow.
.IP \fIelement_num\fP 1i
Specifies the index of the element of interest.
Use \fBAuElementAll\fP to access the state of the flow.
.IP \fIstate\fP 1i
Specifies the state of the element (or flow) specified by \fIelement_num\fP.
This should be one of thses constants: \fBAuStateStop\fP, \fBAuStateStart\fP, or \fBAuStatePause\fP.
.SH \fBDescription\fP
The \fBAuElementState\fP structure is used to access the state of elements in a flow.
Only flows and component elements (ExportBucket, ExportClient, ExportDevice, ImportClient, ImportDevice, ImportBucket, and ImportWaveForm) have state.
.SH \fBSee Also\fP
\fBAuGetElementStates\fP,
\fBAuMakeElementState\fP,
\fBAuGetElementStates\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
