.\" $NCDId: @(#)AuGSFTBt.man,v 1.1 1994/09/27 00:29:02 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuGSFTBt.man 5 1999-05-08 18:47:16Z jon $
.TH AuGetScratchFlowToBucket 3 "1.2" "audioutil"
.SH \fBName\fP
\fBAuGetScratchFlowToBucket\fP \- use a scratch flow to create an export to a bucket.
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
\fBAuFlowID\fP \fBAuGetScratchFlowToBucket\fP(\fIserver\fP, \fIbucket\fP, \fIimport\fP, \fIstatus\fP)
.br
    \fBAuServer\fP *\fIserver\fP;
.br
    \fBAuBucketID\fP \fIbucket\fP;
.br
    int *\fIimport\fP; /* \fBRETURN\fP */
.br
    \fBAuStatus\fP *\fIstatus\fP; /* \fBRETURN\fP */
.SH \fBArguments\fP
.IP \fIserver\fP 1i
Specifies the connection to the audio server.
.IP \fIbucket\fP 1i
Specifies the ID of the bucket to use.
.IP \fIimport\fP 1i
Returns the index of the ImportClient element.
.IP \fIstatus\fP 1i
If non-NULL, flush the output buffer and return the status from the server.
.SH \fBDescription\fP
\fBAuGetScratchFlowToBucket\fP uses a scratch flow to create an export to \fIbucket\fP.
.SH \fBErrors\fP
\fBAuBadAlloc\fP.
.SH \fBSee Also\fP
\fBAuCreateFlow\fP,
\fBAuGetScratchFlow\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
