.\" $NCDId: @(#)AuMElAdd.man,v 1.1 1994/09/27 00:30:49 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuMElAdd.man 5 1999-05-08 18:47:16Z jon $
.TH AuMakeElementAddConstant 3 "1.2" "audiolib - element initialization"
.SH \fBName\fP
\fBAuMakeElementAddConstant\fP \- initialize an AddConstant element
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
\fBAuMakeElementAddConstant\fP(\fIelement\fP, \fIinput\fP, \fIconstant\fP)
.br
    \fBAuElement\fP *\fIelement\fP; /* \fBRETURN\fP */
.br
    unsigned short \fIinput\fP;
.br
    \fBAuFixedPoint\fP \fIconstant\fP;
.SH \fBArguments\fP
.IP \fIelement\fP 1i
Returns the initialized element.
.IP \fIinput\fP 1i
Specifies the index of the element to supply the audio data for this element.
.IP \fIconstant\fP 1i
Specifies the fixed point value to be added to each sample from \fIinput\fP.
Fixed point values can be constructed with \fBAuFixedPointFromSum\fP and \fBAuFixedPointFromFraction\fP.
.SH \fBDescription\fP
\fBAuMakeElementAddConstant\fP sets the \fItype\fP member of \fIelement\fP to \fBAuElementTypeAddConstant\fP and initializes the \fIaddconstant\fP member of \fIelement\fP with the remaining arguments.
.LP
\fBAuMakeElementAddConstant\fP is implemented as a macro.
.SH \fBSee Also\fP
\fBAuMakeElementBundle\fP,
\fBAuMakeElementExportBucket\fP,
\fBAuMakeElementExportClient\fP,
\fBAuMakeElementExportDevice\fP,
\fBAuMakeElementExportMonitor\fP,
\fBAuMakeElementImportBucket\fP,
\fBAuMakeElementImportClient\fP,
\fBAuMakeElementImportDevice\fP,
\fBAuMakeElementImportWaveForm\fP,
\fBAuMakeElementMultiplyConstant\fP,
\fBAuMakeElementSum\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
