.\" $NCDId: @(#)AuMSNtAt.man,v 1.1 1994/09/27 00:33:13 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuMSNtAt.man 5 1999-05-08 18:47:16Z jon $
.TH AuMakeSendNotifyAction 3 "1.2" "audiolib - action initialization"
.SH \fBName\fP
\fBAuMakeSendNotifyAction\fP \- initialize an action
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
\fBAuMakeSendNotifyAction\fP(\fIaction\fP, \fItrigger_state\fP, \fItrigger_prev_state\fP, \fItrigger_reason\fP)
.br
    \fBAuElementAction\fP \fIaction\fP; /* \fBRETURN\fP */
.br
    unsigned char \fItrigger_state\fP;
.br
    unsigned char \fItrigger_prev_state\fP;
.br
    unsigned char \fItrigger_reason\fP;
.SH \fBArguments\fP
.IP \fIaction\fP 1i
Returns the initialized action.
.IP \fItrigger_state\fP 1i
Specifies the state that triggers the action.
This must be one of thses constants: \fBAuStateStop\fP, \fBAuStateStart\fP, or \fBAuStatePause\fP.
.IP \fItrigger_prev_state\fP 1i
Specifies the previous state for the trigger.
This must be one of thses constants: \fBAuStateStop\fP, \fBAuStateStart\fP, \fBAuStatePause\fP, or \fBAuStateAny\fP.
.IP \fItrigger_reason\fP 1i
Specifies the reason for the action.
This must be one of these constants: \fBAuReasonUser\fP, \fBAuReasonUnderrun\fP, \fBAuReasonOverrun\fP, \fBAuReasonEOF\fP, \fBAuReasonWatermark\fP, \fBAuReasonHardware\fP, or \fBAuReasonAny\fP.
.SH \fBDescription\fP
\fBAuMakeSendNotifyAction\fP sets the \fIaction\fP field of \fIaction\fP to \fBAuElementActionSendNotify\fP and initializes the other fields with the remaining arguments.
.LP
\fBAuMakeSendNotifyAction\fP is implemented as a macro.
.SH \fBSee Also\fP
\fBAuMakeChangeStateAction\fP,
\fBAuMakeNoopAction\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
