.\" $NCDId: @(#)AuReqEvt.man,v 1.1 1994/09/27 00:34:02 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuReqEvt.man 5 1999-05-08 18:47:16Z jon $
.TH AuRequeueEvent 3 "1.2" "audiolib - event handling"
.SH \fBName\fP
\fBAuRequeueEvent\fP \- put an event back on the queue
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
void \fBAuRequeueEvent\fP(\fIserver\fP, \fIevent\fP, \fIskip\fP)
.br
    \fBAuServer\fP *\fIserver\fP;
.br
    \fBAuEvent\fP *\fIevent\fP;
.br
    int \fIskip\fP;
.SH \fBArguments\fP
.IP \fIserver\fP 1i
Specifies the connection to the audio server.
.IP \fIevent\fP 1i
Specifies the event to put back on the queue.
.IP \fIskip\fP 1i
Specifies how far from the front of the queue to place the event.
.SH \fBDescription\fP
\fBAuRequeueEvent\fP puts the specified event on the event queue.
The event can be placed at any position in the queue, \fIskip\fP determines how from the front of the queue the event is placed.
If \fIskip\fP is less than or equal zero, the event is placed at the head of the queue.
If \fIskip\fP is greater than zero and greater than or equal the number of events already in the queue, the event is placed at the end of the queue, otherwise, the event is placed at the specified offset in the queue.
.SH \fBSee Also\fP
\fBAuNextEvent\fP,
\fBAuEventsQueued\fP,
\fBAuScanEvents\fP,
\fBAuScanForTypedEvent\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
