.\" $NCDId: @(#)AuSElPrm.man,v 1.1 1994/09/27 00:34:52 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuSElPrm.man 5 1999-05-08 18:47:16Z jon $
.TH AuSetElementParameters 3 "1.2" "audiolib - flow elements parameters"
.SH \fBName\fP
\fBAuSetElementParameters\fP \- set the parameters of elements in a flow
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
void \fBAuSetElementParameters\fP(\fIserver\fP, \fInum_parameters\fP, \fIparameters\fP, \fIstatus\fP)
.br
    \fBAuServer\fP *\fIserver\fP;
.br
    int \fInum_parameters\fP;
.br
    \fBAuElementParameters\fP *\fIparameters\fP;
.br
    \fBAuStatus\fP *\fIstatus\fP; /* \fBRETURN\fP */
.SH \fBArguments\fP
.IP \fIserver\fP 1i
Specifies the connection to the audio server.
.IP \fInum_parameters\fP 1i
Specifies the number of parameters.
.IP \fIparameters\fP 1i
Specifies a list which give the flow, element number and parameters of the elements to change.
.IP \fIstatus\fP 1i
If non-NULL, flush the output buffer and return the status from the server.
.SH \fBDescription\fP
\fBAuSetElementParameters\fP changes those element parameters that can be changed dynamically.
Changes in element types is not allowed.
.LP
There isn't any way to specify only one parameter of a multi-parameter element, so all the element's parameters should be set.
.SH \fBNote\fP
Attempts to change non-existant parameters will be silently ignored.
.SH \fBErrors\fP
\fBAuBadFlow\fP,
\fBAuBadElement\fP.
.SH \fBSee Also\fP
\fBAuGetElementParameters\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
